# $Revision: 1.30.2.2 $, $Date: 2003/12/24 22:55:31 $
Summary:	GNOME pilot programs
Summary(da):	GNOME pilot programmer
Summary(pl):	Programy pilota GNOME
Summary(pt_BR):	Programas do GNOME Pilot
Summary(ru):	 GNOME    PalmPilot
Summary(uk):	 GNOME    PalmPilot
Summary(zh_CN):	GNOMEPalmPilotĳ
Name:		gnome-pilot
Version:	0.1.69
Release:	2
License:	GPL
Group:		Applications/Communications
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/gnome-pilot/0.1/%{name}-%{version}.tar.bz2
# Source0-md5:	385b70713ab2e79196489377494f69b5
Patch0:		%{name}-desktop.patch
URL:		http://www.gnome.org/gnome-pilot/
BuildRequires:	ORBit-devel >= 0.4.3
#BuildRequires:	autoconf
#BuildRequires:	automake
#BuildRequires:	gettext-devel
BuildRequires:	gnome-core-devel >= 1.0.7
BuildRequires:	gnome-libs-devel
BuildRequires:	gob >= 1.0.4
BuildRequires:	libglade-gnome-devel
#BuildRequires:	libtool
BuildRequires:	libxml-devel
BuildRequires:	pilot-link-devel >= 0.11.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_sysconfdir	/etc/X11/GNOME

%description
GNOME pilot is a collection of programs and daemon for integrating
GNOME and the PalmPilot<tm>. GNOME is the GNU Network Object Model
Environment. That's a fancy name but really GNOME is a nice GUI
desktop environment. It makes using your computer easy, powerful, and
easy to configure.

%description -l da
GNOME str for GNU Network Object Model Environment, GNU Netvrk
Objekt Model Milj. Et smart navn, men GNOME er i virkeligheden en
pnt GUI desktop milj. Det gr brugen af din computer nemmere,
kraftiger og nemmere at stte op.

%description -l pl
GNOME pilot jest kolekcj programw i demonw integrujcych GNOME z
PalmPilotem(TM).

%description -l pt_BR
GNOME pilot  um conjunto de programas para integrar o GNOME ao
PalmPilot(tm).

%description -l ru
GNOME pilot -        GNOME 
PalmPilot (tm).

%description -l uk
GNOME pilot -  æ     æ GNOME 
PalmPilot (tm).

%package devel
Summary:	GNOME pilot includes, etc
Summary(da):	GNOME pilot include filer etc
Summary(ru):	   GNOME pilot
Summary(pl):	Biblioteki i pliki nagwkowe gpilotd
Summary(pt_BR):	Bibliotecas e arquivos de incluso do GNOME pilot
Summary(uk):	   GNOME pilot
Summary(zh_CN):	GNOME pilot 
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
gpilotd libraries and includes.

%description devel -l da
gpilotd include filer og biblioteker.

%description devel -l pl
Biblioteki i pliki nagwkowe gpilotd.

%description devel -l pt_BR
Bibliotecas e arquivos de incluso para desenvolvimento baseado no
GNOME pilot.

%description devel -l ru
   GNOME pilot.

%description devel -l uk
   GNOME pilot.

%package static
Summary:	GNOME pilot static libraries
Summary(pl):	Biblioteki statyczne pakietu gnome-pilot
Summary(pt_BR):	Bibliotecas estticas do GNOME pilot
Summary(ru):	   GNOME pilot
Summary(uk):	Φ ¦̦  GNOME pilot
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
GNOME pilot static libraries

%description static -l pl
Biblioteki statyczne pakietu gnome-pilot.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento baseado no GNOME pilot.

%description static -l ru
   GNOME pilot.

%description static -l uk
Φ ¦̦  GNOME pilot.

%prep
%setup -q
%patch0 -p1

%build
#rm -f missing
#%{__gettextize}
#%{__libtoolize}
#%{__aclocal} -I macros
#%{__autoconf}
#%{__automake}
%configure
%{__make} PISOCK_LIBS="-lpisock -lpisync"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pPalmPilotdir=%{_applnkdir}/Settings/GNOME/Peripherals

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_sysconfdir}/CORBA/servers/*

%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/gnome-pilot
%dir %{_libdir}/gnome-pilot/conduits
%attr(755,root,root) %{_libdir}/gnome-pilot/conduits/lib*.so

%{_datadir}/applets/Utility/*
%{_datadir}/control-center/Peripherals/*
%{_applnkdir}/Settings/GNOME/Peripherals/*
%{_mandir}/man1/*
%{_datadir}/gnome-pilot
%{_datadir}/mime-info/*
%{_datadir}/idl/*
%{_datadir}/oaf/*
%{_pixmapsdir}/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/*.sh
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-pilot.spec,v $
Revision 1.30.2.2  2003/12/24 22:55:31  ankry
- md5, added -desktop patch, rel. 2

Revision 1.30.2.1  2003/07/11 12:01:11  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.30  2002/11/11 08:42:50  kloczek
- updated to 0.1.69.

Revision 1.29  2002/10/24 21:13:17  kloczek
- updated to 0.1.67: bug fixes.

Revision 1.28  2002/10/10 21:44:01  kloczek
- updated to 0.1.66,
- merge translations from TurboLinux.

Revision 1.27  2002/10/09 09:01:47  qboosh
- BR: libtool

Revision 1.26  2002/08/12 12:19:28  mmazur
- forced to build; rel5; STBR

Revision 1.25  2002/08/06 13:39:00  qboosh
- BR: libglade-gnome-devel; new %%doc, release 4

Revision 1.24  2002/06/23 20:52:51  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.23  2002/05/21 23:13:15  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.22  2002/04/25 16:26:48  arturs
fixed a small typo

Revision 1.21  2002/03/24 23:28:18  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.20  2002/03/19 15:20:17  ankry
- fixed URLs

Revision 1.19  2002/03/11 13:25:10  blues
- ac/am regeneration
- am_fix added - "sed-patching" added
NOTE: ac fixes are still needed

Revision 1.18  2002/03/10 11:15:10  kloczek
- merge translations from KSI and Conectiva.

Revision 1.17  2002/02/25 08:04:15  marcus
- rel.3.

Revision 1.16  2002/02/23 02:17:46  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:28:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/18 19:28:54  gotar
- %desc

Revision 1.13  2002/02/02 20:17:25  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.12  2002/01/18 02:13:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.10  2000/12/30 04:01:53  michuz
- release 2
- moved %%{_applnkdir}/Settings/* moved %%{_applnkdir}/Settings/GNOME

Revision 1.9  2000/10/29 17:19:15  kloczek
- updated to 0.1.54,
- rebuild against gnome-libs linked with db3,
- use new rpm automation,
- updated BuidRequires rules. DESTDIR patch and %files list.

Revision 1.8  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 23:46:00  kloczek
- spec adapterized.

Revision 1.5  2000/04/03 02:09:38  kloczek
- updated to 0.1.50.

Revision 1.4  2000/04/01 11:14:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:20  baggins
- translated kloczkish into english

Revision 1.2  2000/03/26 14:53:25  kloczek
- updated to 0.1.49 and completly rewrited in PLD style.

* Wed Feb 17 1999 Eskil Heyn Olsen <deity@eskil.dk>
- Created the .spec file
